<!--
  Generated template for the StockSurveyPage page.
  
  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  
  <ion-navbar>
    <ion-title>Sales Order</ion-title>
  </ion-navbar>
  
</ion-header>


<ion-content padding>
  <ion-grid>
    
    <ion-row>
      <ion-col col-12>
        <div><b>#Simcard</b></div>
        <hr>
      </ion-col>
      <ion-col col-12 >
        <table border="1" width="100%">
            <tr>
                <td colspan="4"><b>Simcard</b></td>
              </tr>
            <tr>
              <td>QTY</td>
              <td>Price</td>
              <td>Discount (%)</td>
              <td>Discount ($)</td>
            </tr>
  
            <tr>
              <td><ion-input type="number"   [(ngModel)]="simcard.nominal" value="0" (click)="simcard.nominal = ''"  (keyup)="changeValue($event)"></ion-input></td>
              <td><ion-input type="number" readonly value="0.5" [(ngModel)]="simcard.price" value="0"></ion-input></td>
              <td> <ion-input type="number"  [(ngModel)]="simcard.discount" (keyup)="changeValue($event)"  value="0"></ion-input></td>
              <td><ion-input type="number" readonly [(ngModel)]="simcard.dollar" value="0"></ion-input></td>
            </tr>
            <tr>
              <td colspan="2">Total</td>
              <td colspan="2"><ion-input type="number"  value="0" readonly [(ngModel)]="simcard.total"></ion-input></td>
            </tr>

            <tr>
              <td colspan="3"><b>Block Number</b></td>
              <td colspan="1"><button [disabled]="isDisSimcards" ion-button (click)="Add()"><ion-icon ios="ios-add-circle" md="md-add-circle"></ion-icon></button></td>
            </tr>
            
            <tr>
              <td>QTY</td>
              <td>Start MSIDN</td>
              <td>End MSIDN</td>
              <td>Action</td>
           </tr>

           <tbody *ngFor="let att of anArray;" id="bn" >
             <tr id="inp{{att}}">
               <td><ion-input type="number" [(ngModel)]="rQty[att]" (keyup)="jumlahkan(att,0)"></ion-input></td>
               <td><ion-input type="number" [(ngModel)]="rStart[att]" (keyup)="jumlahkan(att,0)" ></ion-input></td>
               <td><ion-input type="number" [(ngModel)]="rEnd[att]" readonly="true"></ion-input></td>
               <td><button ion-button (click)="removeElement(att,rQty[att],rStart[att],rEnd[att],0)" color="danger"><ion-icon ios="ios-trash-circle" md="md-trash"></ion-icon></button></td>
             </tr>
          </tbody>

          </table>
      </ion-col>
    </ion-row>
    
    <ion-row *ngIf="typeInput != 'i' ">
      <ion-col col-12>
        <div><b>#Pulsa Digital</b></div>
        <hr>
      </ion-col>
      <ion-col col-12 >

          <table border="1" width="100%">
              <tr>
                  <td colspan="4"><b>Pulsa Digital</b></td>
                </tr>
              <tr>
                <td>Nominal</td>
                <td>Price</td>
                <td>Discount (%)</td>
                <td>Discount ($)</td>
              </tr>
             
              <tr>
                <td><ion-input type="number"   [(ngModel)]="etopup.nominal" value="0" (click)="etopup.nominal = ''" (keyup)="changeValue($event)"></ion-input></td>
                <td><ion-input type="number" readonly value="0" [(ngModel)]="etopup.price" ></ion-input></td>
                <td> <ion-input type="number"  [(ngModel)]="etopup.discount" value="0"  (keyup)="changeValue($event)"></ion-input></td>
                <td><ion-input type="number" readonly value="0" [(ngModel)]="etopup.dollar"></ion-input></td>
              </tr>
              <tr>
                <td colspan="2">Total</td>
                <td colspan="2"><ion-input  type="number" readonly  value="0" readonly [(ngModel)]="etopup.total"></ion-input></td>
              </tr>
            </table>
          
      </ion-col>
    </ion-row>
    
    <ion-row>
      <ion-col col-12>
        <div><b>#Voucher</b></div>
        <hr>
      </ion-col>
      <ion-col col-12 >
          
          <div *ngFor="let i of product;" margin-bottom>
            <table border="1" width="100%">
                <tr>
                    <td colspan="4"><b>{{i.product_name}}</b></td>
                  </tr>
                <tr>
                  <td>QTY</td>
                  <td>Price</td>
                  <td>Discount (%)</td>
                  <td>Discount ($)</td>
                </tr>
               
                <tr>
                  <td><ion-input type="number" [(ngModel)]="nominal[i.id]" (click)="nominal[i.id] = ''" (keyup)="changeValue($event)" ></ion-input></td>
                  <td><ion-input type="number" readonly [(ngModel)]="unit_price[i.id]=i.unit_price"></ion-input></td>
                  <td> <ion-input type="number"  [(ngModel)]="discount[i.id]=i.discount" (keyup)="changeValue($event)"></ion-input></td>
                  <td><ion-input type="number" readonly [(ngModel)]="dollar[i.id]"></ion-input></td>
                </tr>
                <tr>
                  <td colspan="2">Total</td>
                  <td colspan="2">
                    <ion-input type="number" readonly [(ngModel)]="total[i.id]"></ion-input>
                  </td>
                </tr> 

                <tr>
                  <td colspan="3"><b>Block Number</b></td>
                  <td colspan="1"><button ion-button (click)="Add(i.id)"><ion-icon ios="ios-add-circle" md="md-add-circle"></ion-icon></button></td>
                </tr>
                
                <tr>
                  <td>QTY</td>
                  <td colspan="3">Start Voucher & End Voucher</td>
               </tr>

               <tbody *ngFor="let att of anVoucher;" >
                <tr id="inp{{att}}"  *ngIf="att.id == i.id">
                  <th rowspan="2"><ion-input type="number" placeholder="Qty"  [(ngModel)]="vQty[att.n]" (keyup)="jumlahkan(att.n,1,i.id)"></ion-input></th>
                  <td colspan="3"><ion-input type="number" placeholder="Start Voucher" [(ngModel)]="vStart[att.n]" (keyup)="jumlahkan(att.n,1)" ></ion-input></td>
                  <!-- <td><button ion-button color="danger"><ion-icon ios="ios-trash-circle" md="md-trash"></ion-icon></button></td> -->
                </tr>
                
                <tr *ngIf="att.id == i.id">
                  <td colspan="3"><ion-input type="number" placeholder="End Voucher" [(ngModel)]="vEnd[att.n]" readonly="true" ></ion-input></td>
                </tr>

                <tr *ngIf="att.id == i.id">
                  <td colspan="4" style="background: #e13838;color: #FFF;" (click)="removeElement(att.n,vQty[att.n],vStart[att.n],vEnd[att.n],1)" >Hapus</td>
                </tr>

             </tbody> 
               
              </table>
              
          </div>
      </ion-col>
    </ion-row>
    
    <button id="btnSubmits" ion-button round outline block (click)="toSalesOrder()">Submit</button>
  </ion-grid>
</ion-content>
